# = Class: nginx::disabled
#
# This class removes the nginx web server.
#
class nginx::disabled inherits nginx
{
	Package['nginx'] {
		ensure => purged
	}

	File['nginx.conf'] {
		ensure => absent
	}

	File['nginx-conf.d'] {
		ensure => absent
	}

	Service['nginx'] {
		ensure => stopped,
		enable => false
	}

	File['nginx-site.d'] {
		ensure => absent
	}

	File['nginx-enable.d'] {
		ensure => absent
	}
}
